关闭

CentOS5.4 安装php5.2.x 和 ZendOptimizer-3.3.9的方法,方便支持phpMyAdmin-3.2.2

499人阅读 评论(0) 收藏 举报
1、到www.zend.com下载 ZendOptimizer-3.3.9-linux-glibc23-i386

2、下载phpMyAdmin(phpMyAdmin-3.2.2-all-languages)

需要PHP5.2以上支持。

3、CentOS5.4 升级php

CentOS5.4的php版本默认为5.1.6

可以通过以下方法升级引用,网络方法:

CentOS 5.x 系统下使用yum 升级php到5.2.x 最方便方法
近期使用testlink 1.82 ,提及php需要升级到5.2以上,而centos 5.x目前提供php版本为5.1.6,
通过以下方法升级PHP到5.2比较方便,现推荐给大家。

先将以下地址导入。

# rpm --import http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

# vi /etc/yum.repos.d/CentOS-Base.repo 增加下面信息

[utterramblings]
name=Jason's Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

执行命令,自动升级。

yum update php-common -y

4、升级后安装phpMyAdmin
5、配置权限,重启服务
把ZendOptimizer.so COPY到一个目录,执行以下命令:
chcon -t texrel_shlib_t /usr/lib/ZendOptimizer.so
execstack -c /usr/lib/ZendOptimizer.so
service httpd restart
service mysqld restart

基本上可以OK。
0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:735163次
    • 积分:10984
    • 等级:
    • 排名:第1501名
    • 原创:480篇
    • 转载:10篇
    • 译文:0篇
    • 评论:29条
    文章分类
    最新评论